Unable to access the Galaxy module of lefse

I can´t access the http://galaxy.biobakery.org

Proxy Error

The proxy server received an invalid response from an upstream server.
The proxy server could not handle the request GET /.

Reason: Error reading from remote server


Apache/2.4.10 (Debian) Server at galaxy.biobakery.org Port 80

1 Like

Hi all - apologies for the inconvenience we are aware that the Galaxy site is down again. We are working with our IT to resolve this issue, but it requires some new hardware, and last we heard, it will not be available until next week at the earliest. We will monitor this issue and let you know if this timeline is pushed any further. Again, we apologize for the inconvenience, please see my post from a few months ago for alternatives to using LEfSe on galaxy.

Best,
Kelsey

1 Like

It is January 2024 and there is still no access.

1 Like

I tried to access their galaxy server today, and the server is back!
Thank you for all the efforts from everyone in Huttenhower Lab!

2 Likes

Indeed, thanks to all the Huttenhower team for bringing galaxy back! (and thanks @lingvv for letting us know is running again ;)).

I tried to use lefse and got this message:
error
An error occurred with this dataset:
Traceback (most recent call last):
File “/usr/bin/lefse_format_input.py”, line 7, in
from lefsebiom.ConstantsBreadCrumbs import *
ModuleNotFoundError: No module named ‘lefsebiom’

Anyone else gets the error message too? I tried with a dataset I analysed in the past and it was also not working, making me think is a server problem…?

Thanks team for the effort!
Cheers,
Núria

I have the same error.
Anyone could fix it, please?

Hi @nuriaeliasmasiques and @ChM,

Thank you for the heads up. Some of the lefse dependencies seems to be out of date and we are currently working on fixing the lefse issue. We will resolve it asap and let you know.

Regards,
Sagun

1 Like

raceback (most recent call last):
File “/usr/bin/lefse_format_input.py”, line 7, in
from lefsebiom.ConstantsBreadCrumbs import *
ModuleNotFoundError: No module named ‘lefsebiom’

Today, the Galaxy website can be logged in normally, but the following error still occurs during lefse analysis. May I ask when it can be restored?

Hi bioBakery team,

There seems to be a different error now (below). I am unsure if it’s a problem on my side or the module itself. Thank you!

Traceback (most recent call last):
File “/usr/bin/lefse_format_input.py”, line 10, in
from importlib.metadata import distribution
ModuleNotFoundError: No module named ‘importlib.metadata’

Dear bioBakery Team,

I tried to use LefSe and got this message (which I think is different from the rest of the error messages shown in this topic):

Number of significantly discriminative features: 2 ( 2 ) before internal wilcoxon
Traceback (most recent call last):
File “/galaxy_venv/bin/lefse_run.py”, line 33, in
sys.exit(load_entry_point(‘lefse==1.1.2’, ‘console_scripts’, 'lefse_run.

I got this message with a dataset I analysed in the past.

Many thanks for your work and effort. Your tools are very useful and helpful!
Best,
J.Ignacio

Hi,

I have the same problem. I cannot get past the LEfSe formatting step. I used previous files that used to work perfectly on here. I even tried to use the example file hmp_aerobiosis_small.txt that is given on the galaxy module, and it does not work either. Tool for this file generated the following standard error:

Traceback (most recent call last):
File “/usr/bin/lefse_format_input.py”, line 10, in
from importlib.metadata import distribution
ModuleNotFoundError: No module named ‘importlib.metadata’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/bin/lefse_format_input.py”, line 13, in
from importlib_metadata import distribution
ModuleNotFoundError: No module named ‘importlib_metadata’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/bin/lefse_format_input.py”, line 15, in
from pkg_resources import load_entry_point
File “/usr/local/lib/python3.6/dist-packages/pkg_resources/init.py”, line 3266, in
@_call_aside
File “/usr/local/lib/python3.6/dist-packages/pkg_resources/init.py”, line 3241, in _call_aside
f(*args, **kwargs)
File “/usr/local/lib/python3.6/dist-packages/pkg_resources/init.py”, line 3279, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File “/usr/local/lib/python3.6/dist-packages/pkg_resources/init.py”, line 573, in _build_master
ws.require(requires)
File “/usr/local/lib/python3.6/dist-packages/pkg_resources/init.py”, line 891, in require
needed = self.resolve(parse_requirements(requirements))
File “/usr/local/lib/python3.6/dist-packages/pkg_resources/init.py”, line 777, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The ‘lefse==1.1.2’ distribution was not found and is required by the application

Thanks.

Hi,
I have been using LEfSe in the past and was successfully able to run the full pipeline with the Galaxy LEfSe tool. Now even with old ones that successfully worked in the past I have a problem with B step of Lefse module:

Number of significantly discriminative features: 8 ( 131 ) before internal wilcoxon
Traceback (most recent call last):
File “/galaxy_venv/bin/lefse_run.py”, line 33, in
sys.exit(load_entry_point(‘lefse==1.1.2’, ‘console_scripts’, 'lefse_ru

Thanks for your works

Hello,
I am having the same problem.
Please we need some help!
Thank you in advance.

Hei! I have the same Proxy Error since yesterday.

I am unable to access the Galaxy module of Lefse (or the site http://galaxy.biobakery.org/ in general). Is the site down again?